Bug 1118998 - [abrt] cinnamon: cinnamon-settings-users.py:721:on_user_deletion:GError: GDBus.Error:org.freedesktop.Accounts.Error.Failed: running '/usr/sbin/userdel' failed: Child process exited with code 12
Summary: [abrt] cinnamon: cinnamon-settings-users.py:721:on_user_deletion:GError: GDBu...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8632fc6df5dc1239268f6c0b3c2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-12 23:58 UTC by Dan Waleke
Modified: 2015-06-29 21:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:34:14 UTC


Attachments (Terms of Use)
File: backtrace (988 bytes, text/plain)
2014-07-12 23:58 UTC, Dan Waleke
no flags Details
File: environ (262 bytes, text/plain)
2014-07-12 23:59 UTC, Dan Waleke
no flags Details

Description Dan Waleke 2014-07-12 23:58:57 UTC
Description of problem:
Trying to delete a user.

Version-Release number of selected component:
cinnamon-2.2.14-1.fc20

Additional info:
reporter:       libreport-2.2.2
cmdline:        python /usr/lib/cinnamon-settings-users/cinnamon-settings-users.py
executable:     /usr/lib/cinnamon-settings-users/cinnamon-settings-users.py
kernel:         3.15.4-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
cinnamon-settings-users.py:721:on_user_deletion:GError: GDBus.Error:org.freedesktop.Accounts.Error.Failed: running '/usr/sbin/userdel' failed: Child process exited with code 12

Traceback (most recent call last):
  File "/usr/lib/cinnamon-settings-users/cinnamon-settings-users.py", line 721, in on_user_deletion
    result = self.accountService.delete_user(user, True)
GError: GDBus.Error:org.freedesktop.Accounts.Error.Failed: running '/usr/sbin/userdel' failed: Child process exited with code 12

Local variables in innermost frame:
d: <MessageDialog object at 0x2857be0 (GtkMessageDialog at 0x294e260)>
treeiter: <GtkTreeIter at 0x2575120>
event: <Button object at 0x2857b40 (GtkButton at 0x27722e0)>
self: <__main__.Module instance at 0x2739560>
r: -8
user: <User object at 0x2857aa0 (ActUser at 0x28272a0)>
model: <TreeStore object at 0x273c410 (GtkTreeStore at 0x281c070)>
message: 'Are you sure you want to permanently delete dwaleke and all the files associated with this user?'

Comment 1 Dan Waleke 2014-07-12 23:58:59 UTC
Created attachment 917571 [details]
File: backtrace

Comment 2 Dan Waleke 2014-07-12 23:59:00 UTC
Created attachment 917572 [details]
File: environ

Comment 3 Fedora End Of Life 2015-05-29 12:21:30 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 21:34:14 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.